Loading...
Searching...
No Matches
irr::scene::quake3::SBlendFunc Struct Reference

A blend function for a q3 shader. More...

`#include <IQ3Shader.h>`

## Public Member Functions

| SBlendFunc (video::E_MODULATE_FUNC mod)

## Public Attributes

u32 | isTransparent
video::E_MODULATE_FUNC | modulate
f32 | param0
video::E_MATERIAL_TYPE | type

## Detailed Description

A blend function for a q3 shader.

Definition at line 156 of file IQ3Shader.h.

## Constructor & Destructor Documentation

## SBlendFunc()

irr::scene::quake3::SBlendFunc::SBlendFunc | ( | video::E_MODULATE_FUNC | mod | ) |

inline

Definition at line 158 of file IQ3Shader.h.

References isTransparent, modulate, param0, and type.

## Member Data Documentation

## isTransparent

u32 irr::scene::quake3::SBlendFunc::isTransparent

Definition at line 167 of file IQ3Shader.h.

Referenced by SBlendFunc().

## modulate

video::E_MODULATE_FUNC irr::scene::quake3::SBlendFunc::modulate

Definition at line 164 of file IQ3Shader.h.

Referenced by SBlendFunc().

## param0

f32 irr::scene::quake3::SBlendFunc::param0

Definition at line 166 of file IQ3Shader.h.

Referenced by SBlendFunc().

## type

video::E_MATERIAL_TYPE irr::scene::quake3::SBlendFunc::type

Definition at line 163 of file IQ3Shader.h.

Referenced by SBlendFunc().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0